<?php

/**
 * ownCloud - Music app
 *
 * @author Morris Jobke
 * @copyright 2013 Morris Jobke <morris.jobke@gmail.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU AFFERO GENERAL PUBLIC LICENSE
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU AFFERO GENERAL PUBLIC LICENSE for more details.
 *
 * You should have received a copy of the GNU Affero General Public
 * License along with this library.  If not, see <http://www.gnu.org/licenses/>.
 *
 */


namespace OCA\Music\Controller;

use \OCA\Music\AppFramework\Controller\Controller as BaseController;
use \OCA\Music\AppFramework\Core\API;
use \OCA\Music\AppFramework\Http\Request;
use \OCA\Music\AppFramework\Http\JSONResponse;


class Controller extends BaseController {


	public function __construct(API $api, Request $request){
		parent::__construct($api, $request);
	}


	/**
	 * Shortcut for rendering a JSON response with just the data
	 * @param object $data the PHP object that will be converted to JSON
	 * empty array by default
	 * @return \OCA\Music\AppFramework\Http\JSONResponse containing the values
	 */
	public function renderPlainJSON($data=array()){
		$response = new JSONResponse();
		$response->setData($data);

		return $response;
	}


	/**
	 * Extracts the id from an unique slug (id-slug)
	 * @param string $slug the slug
	 * @return string the id
	 */
	protected function getIdFromSlug($slug){
		$split = explode('-', $slug, 2);

		return $split[0];
	}
}
